package xyz.stachel.zombiesutils.game;

import net.minecraft.client.MinecraftClient;
import xyz.stachel.zombiesutils.ZombiesUtils;

class Timer {
  // world-absolute tick the game started on
  private long startTick;
  // amount of ticks elapsed between startTick and last split
  private long roundStart;

  public Timer() {
    this.startTick = worldTick();
  }

  public long roundTime() {
    return gameTime() - roundStart;
  }

  public long gameTime() {
    return worldTick() - startTick;
  }

  public long split() {
    final long rt = roundTime();
    this.roundStart = gameTime();
    return rt;
  }

  private long worldTick() {
    MinecraftClient mc = MinecraftClient.getInstance();
    if (mc == null || mc.world == null) {
      ZombiesUtils.LOGGER.warn("Timer is running, but the player is not in game.");
      return 0;
    }
    return mc.world.getTime();
  }
}
