package xyz.stachel.zombiesutils.util;

import xyz.stachel.zombiesutils.game.GameMode;
import xyz.stachel.zombiesutils.handlers.Location;

import java.util.Optional;

import static xyz.stachel.zombiesutils.game.GameMode.Map.*;

public class Utils {

    public static Optional<GameMode.Map> getMap() {
        return switch (Location.getMode()) {
            case "ZOMBIES_DEAD_END" -> Optional.of(DEAD_END);
            case "ZOMBIES_BAD_BLOOD" -> Optional.of(BAD_BLOOD);
            case "ZOMBIES_ALIEN_ARCADIUM" -> Optional.of(ALIEN_ARCADIUM);
            case "ZOMBIES_PRISON" -> Optional.of(PRISON);
            default -> Optional.empty();
        };
    }

    public static boolean isZombies() {
        return Location.getMode().startsWith("ZOMBIES");
    }

}
